package com.starcharge.wios.dao.entity;

import com.starcharge.wios.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*@description:: $discription$
*@author:luyc
*@time:2023-10-08 18:34:39 下午
 */
@Data
@ApiModel(value="Reject", description="退货单")
public class Reject extends PageVo implements Serializable {
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    private Integer id;

    /**
     * 退货单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货单号")
    private String rejectOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "产品批次")
    private String productBatch;

    /**
     * 退货数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货数量")
    private Integer quantity;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料类别")
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    /**
     * 物料厂商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料厂商")
    private String materialCompany;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 物流服务商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流服务商")
    private String logisticCompany;

    /**
     * 退货仓库
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货仓库")
    private String warehouseName;

    /**
     * 退货仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货仓库id")
    private Integer warehouseId;

    /**
     * 退货原因
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货原因")
    private String reason;

    /**
     * 退货状态 未审核 已通过 已驳回
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货状态 已申请 已驳回 已通过 已关闭")
    private String status;

    /**
     * 审批时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审批时间")
    private LocalDateTime checkTime;

    /**
     * 审核人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核人")
    private String checkUser;

    /**
     * 审核人姓名
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核人姓名")
    private String checkUserName;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "是否产品或辅料 1 是 0 否")
    @Range(min=0,max = 1,message = "是否产品或辅料只可填0或1")
    private Integer isproduct;
    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
    /**
     * 审核意见
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核意见")
    private String checkSuggestion;
    /**
     * 申请表
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请表")
    private String remarks;
    /**
     * 退货材料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货材料")
    private String rejectMaterial;

    private static final long serialVersionUID = 1L;


}